Bug 59019 - at(1) is unaware of NIS users
Summary: at(1) is unaware of NIS users
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: at (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-29 14:23 UTC by peldan
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-01 18:40:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description peldan 2002-01-29 14:23:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (X11; U; Linux 2.0.36 i686)

Description of problem:
when a user specified in NIS schedules an at job,
the job won't run.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a NIS user, log in as that user
2. echo touch /tmp/foo | at now + 1 minute

	

Actual Results:  job does not run. /var/log/cron will log the message:
Userid xyz not found - aborting job

xyz is the NIS uid of the user

Expected Results:  see at(1)

Additional info:

/etc/nsswitch has "passwd: compat"
NIS users can log in

If a line is created in the local /etc/passwd
for that user (and uid xxx), the job runs as
it should.

Comment 1 Jay Fenlason 2004-07-01 18:40:41 UTC
WORKFORME on Fedora Core 2 (actually rawhide).  My /etc/nsswitch.conf says "passwd:     files winbind nis"  I'd guess this got fixed somewhere between 7.3 and now.


Note You need to log in before you can comment on or make changes to this bug.